Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network49.30.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
49.30.64.0
Broadcast address
49.30.127.255
First usable
49.30.64.1
Last usable
49.30.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 311E4000 · Integer 824066048 to 824082431
Reverse DNS zones
64.30.49.in-addr.arpa
65.30.49.in-addr.arpa
66.30.49.in-addr.arpa
67.30.49.in-addr.arpa
68.30.49.in-addr.arpa
69.30.49.in-addr.arpa
70.30.49.in-addr.arpa
71.30.49.in-addr.arpa
72.30.49.in-addr.arpa
73.30.49.in-addr.arpa
74.30.49.in-addr.arpa
75.30.49.in-addr.arpa
76.30.49.in-addr.arpa
77.30.49.in-addr.arpa
78.30.49.in-addr.arpa
79.30.49.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110001.00011110.01000000.0000000049.30.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00110001.00011110.01000000.0000000049.30.64.0
Broadcast00110001.00011110.01111111.1111111149.30.127.255
Split into smaller subnets/25

49.30.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
149.30.64.0/2549.30.64.1 to 49.30.64.12649.30.64.127126
249.30.64.128/2549.30.64.129 to 49.30.64.25449.30.64.255126
349.30.65.0/2549.30.65.1 to 49.30.65.12649.30.65.127126
449.30.65.128/2549.30.65.129 to 49.30.65.25449.30.65.255126
549.30.66.0/2549.30.66.1 to 49.30.66.12649.30.66.127126
649.30.66.128/2549.30.66.129 to 49.30.66.25449.30.66.255126
749.30.67.0/2549.30.67.1 to 49.30.67.12649.30.67.127126
849.30.67.128/2549.30.67.129 to 49.30.67.25449.30.67.255126
949.30.68.0/2549.30.68.1 to 49.30.68.12649.30.68.127126
1049.30.68.128/2549.30.68.129 to 49.30.68.25449.30.68.255126
1149.30.69.0/2549.30.69.1 to 49.30.69.12649.30.69.127126
1249.30.69.128/2549.30.69.129 to 49.30.69.25449.30.69.255126
1349.30.70.0/2549.30.70.1 to 49.30.70.12649.30.70.127126
1449.30.70.128/2549.30.70.129 to 49.30.70.25449.30.70.255126
1549.30.71.0/2549.30.71.1 to 49.30.71.12649.30.71.127126
1649.30.71.128/2549.30.71.129 to 49.30.71.25449.30.71.255126
1749.30.72.0/2549.30.72.1 to 49.30.72.12649.30.72.127126
1849.30.72.128/2549.30.72.129 to 49.30.72.25449.30.72.255126
1949.30.73.0/2549.30.73.1 to 49.30.73.12649.30.73.127126
2049.30.73.128/2549.30.73.129 to 49.30.73.25449.30.73.255126
2149.30.74.0/2549.30.74.1 to 49.30.74.12649.30.74.127126
2249.30.74.128/2549.30.74.129 to 49.30.74.25449.30.74.255126
2349.30.75.0/2549.30.75.1 to 49.30.75.12649.30.75.127126
2449.30.75.128/2549.30.75.129 to 49.30.75.25449.30.75.255126
2549.30.76.0/2549.30.76.1 to 49.30.76.12649.30.76.127126
2649.30.76.128/2549.30.76.129 to 49.30.76.25449.30.76.255126
2749.30.77.0/2549.30.77.1 to 49.30.77.12649.30.77.127126
2849.30.77.128/2549.30.77.129 to 49.30.77.25449.30.77.255126
2949.30.78.0/2549.30.78.1 to 49.30.78.12649.30.78.127126
3049.30.78.128/2549.30.78.129 to 49.30.78.25449.30.78.255126
3149.30.79.0/2549.30.79.1 to 49.30.79.12649.30.79.127126
3249.30.79.128/2549.30.79.129 to 49.30.79.25449.30.79.255126
3349.30.80.0/2549.30.80.1 to 49.30.80.12649.30.80.127126
3449.30.80.128/2549.30.80.129 to 49.30.80.25449.30.80.255126
3549.30.81.0/2549.30.81.1 to 49.30.81.12649.30.81.127126
3649.30.81.128/2549.30.81.129 to 49.30.81.25449.30.81.255126
3749.30.82.0/2549.30.82.1 to 49.30.82.12649.30.82.127126
3849.30.82.128/2549.30.82.129 to 49.30.82.25449.30.82.255126
3949.30.83.0/2549.30.83.1 to 49.30.83.12649.30.83.127126
4049.30.83.128/2549.30.83.129 to 49.30.83.25449.30.83.255126
4149.30.84.0/2549.30.84.1 to 49.30.84.12649.30.84.127126
4249.30.84.128/2549.30.84.129 to 49.30.84.25449.30.84.255126
4349.30.85.0/2549.30.85.1 to 49.30.85.12649.30.85.127126
4449.30.85.128/2549.30.85.129 to 49.30.85.25449.30.85.255126
4549.30.86.0/2549.30.86.1 to 49.30.86.12649.30.86.127126
4649.30.86.128/2549.30.86.129 to 49.30.86.25449.30.86.255126
4749.30.87.0/2549.30.87.1 to 49.30.87.12649.30.87.127126
4849.30.87.128/2549.30.87.129 to 49.30.87.25449.30.87.255126
4949.30.88.0/2549.30.88.1 to 49.30.88.12649.30.88.127126
5049.30.88.128/2549.30.88.129 to 49.30.88.25449.30.88.255126
5149.30.89.0/2549.30.89.1 to 49.30.89.12649.30.89.127126
5249.30.89.128/2549.30.89.129 to 49.30.89.25449.30.89.255126
5349.30.90.0/2549.30.90.1 to 49.30.90.12649.30.90.127126
5449.30.90.128/2549.30.90.129 to 49.30.90.25449.30.90.255126
5549.30.91.0/2549.30.91.1 to 49.30.91.12649.30.91.127126
5649.30.91.128/2549.30.91.129 to 49.30.91.25449.30.91.255126
5749.30.92.0/2549.30.92.1 to 49.30.92.12649.30.92.127126
5849.30.92.128/2549.30.92.129 to 49.30.92.25449.30.92.255126
5949.30.93.0/2549.30.93.1 to 49.30.93.12649.30.93.127126
6049.30.93.128/2549.30.93.129 to 49.30.93.25449.30.93.255126
6149.30.94.0/2549.30.94.1 to 49.30.94.12649.30.94.127126
6249.30.94.128/2549.30.94.129 to 49.30.94.25449.30.94.255126
6349.30.95.0/2549.30.95.1 to 49.30.95.12649.30.95.127126
6449.30.95.128/2549.30.95.129 to 49.30.95.25449.30.95.255126
6549.30.96.0/2549.30.96.1 to 49.30.96.12649.30.96.127126
6649.30.96.128/2549.30.96.129 to 49.30.96.25449.30.96.255126
6749.30.97.0/2549.30.97.1 to 49.30.97.12649.30.97.127126
6849.30.97.128/2549.30.97.129 to 49.30.97.25449.30.97.255126
6949.30.98.0/2549.30.98.1 to 49.30.98.12649.30.98.127126
7049.30.98.128/2549.30.98.129 to 49.30.98.25449.30.98.255126
7149.30.99.0/2549.30.99.1 to 49.30.99.12649.30.99.127126
7249.30.99.128/2549.30.99.129 to 49.30.99.25449.30.99.255126
7349.30.100.0/2549.30.100.1 to 49.30.100.12649.30.100.127126
7449.30.100.128/2549.30.100.129 to 49.30.100.25449.30.100.255126
7549.30.101.0/2549.30.101.1 to 49.30.101.12649.30.101.127126
7649.30.101.128/2549.30.101.129 to 49.30.101.25449.30.101.255126
7749.30.102.0/2549.30.102.1 to 49.30.102.12649.30.102.127126
7849.30.102.128/2549.30.102.129 to 49.30.102.25449.30.102.255126
7949.30.103.0/2549.30.103.1 to 49.30.103.12649.30.103.127126
8049.30.103.128/2549.30.103.129 to 49.30.103.25449.30.103.255126
8149.30.104.0/2549.30.104.1 to 49.30.104.12649.30.104.127126
8249.30.104.128/2549.30.104.129 to 49.30.104.25449.30.104.255126
8349.30.105.0/2549.30.105.1 to 49.30.105.12649.30.105.127126
8449.30.105.128/2549.30.105.129 to 49.30.105.25449.30.105.255126
8549.30.106.0/2549.30.106.1 to 49.30.106.12649.30.106.127126
8649.30.106.128/2549.30.106.129 to 49.30.106.25449.30.106.255126
8749.30.107.0/2549.30.107.1 to 49.30.107.12649.30.107.127126
8849.30.107.128/2549.30.107.129 to 49.30.107.25449.30.107.255126
8949.30.108.0/2549.30.108.1 to 49.30.108.12649.30.108.127126
9049.30.108.128/2549.30.108.129 to 49.30.108.25449.30.108.255126
9149.30.109.0/2549.30.109.1 to 49.30.109.12649.30.109.127126
9249.30.109.128/2549.30.109.129 to 49.30.109.25449.30.109.255126
9349.30.110.0/2549.30.110.1 to 49.30.110.12649.30.110.127126
9449.30.110.128/2549.30.110.129 to 49.30.110.25449.30.110.255126
9549.30.111.0/2549.30.111.1 to 49.30.111.12649.30.111.127126
9649.30.111.128/2549.30.111.129 to 49.30.111.25449.30.111.255126
9749.30.112.0/2549.30.112.1 to 49.30.112.12649.30.112.127126
9849.30.112.128/2549.30.112.129 to 49.30.112.25449.30.112.255126
9949.30.113.0/2549.30.113.1 to 49.30.113.12649.30.113.127126
10049.30.113.128/2549.30.113.129 to 49.30.113.25449.30.113.255126
10149.30.114.0/2549.30.114.1 to 49.30.114.12649.30.114.127126
10249.30.114.128/2549.30.114.129 to 49.30.114.25449.30.114.255126
10349.30.115.0/2549.30.115.1 to 49.30.115.12649.30.115.127126
10449.30.115.128/2549.30.115.129 to 49.30.115.25449.30.115.255126
10549.30.116.0/2549.30.116.1 to 49.30.116.12649.30.116.127126
10649.30.116.128/2549.30.116.129 to 49.30.116.25449.30.116.255126
10749.30.117.0/2549.30.117.1 to 49.30.117.12649.30.117.127126
10849.30.117.128/2549.30.117.129 to 49.30.117.25449.30.117.255126
10949.30.118.0/2549.30.118.1 to 49.30.118.12649.30.118.127126
11049.30.118.128/2549.30.118.129 to 49.30.118.25449.30.118.255126
11149.30.119.0/2549.30.119.1 to 49.30.119.12649.30.119.127126
11249.30.119.128/2549.30.119.129 to 49.30.119.25449.30.119.255126
11349.30.120.0/2549.30.120.1 to 49.30.120.12649.30.120.127126
11449.30.120.128/2549.30.120.129 to 49.30.120.25449.30.120.255126
11549.30.121.0/2549.30.121.1 to 49.30.121.12649.30.121.127126
11649.30.121.128/2549.30.121.129 to 49.30.121.25449.30.121.255126
11749.30.122.0/2549.30.122.1 to 49.30.122.12649.30.122.127126
11849.30.122.128/2549.30.122.129 to 49.30.122.25449.30.122.255126
11949.30.123.0/2549.30.123.1 to 49.30.123.12649.30.123.127126
12049.30.123.128/2549.30.123.129 to 49.30.123.25449.30.123.255126
12149.30.124.0/2549.30.124.1 to 49.30.124.12649.30.124.127126
12249.30.124.128/2549.30.124.129 to 49.30.124.25449.30.124.255126
12349.30.125.0/2549.30.125.1 to 49.30.125.12649.30.125.127126
12449.30.125.128/2549.30.125.129 to 49.30.125.25449.30.125.255126
12549.30.126.0/2549.30.126.1 to 49.30.126.12649.30.126.127126
12649.30.126.128/2549.30.126.129 to 49.30.126.25449.30.126.255126
12749.30.127.0/2549.30.127.1 to 49.30.127.12649.30.127.127126
12849.30.127.128/2549.30.127.129 to 49.30.127.25449.30.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses